Subject: Re: [bug#32431] [PATCH] gnu: clementine: Drop dependency on qtwebkit.

From: Pierre Langlois <[email-masked]>
Date: Mon, 13 Aug 2018 22:12:14 +0100

Hi Leo,

Leo Famulari writes:

> On Mon, Aug 13, 2018 at 08:26:21PM +0100, Pierre Langlois wrote:
>> Hello guix!
>> 
>> I realised clementine wasn't building because qtwebkit isn't building
>> either. But, it turns out that while it's an optional dependency
>> according to CMakeList.txt, it isn't actually used anywhere in the
>> code. Here's a patch that removes qtwebkit from its inputs.
>> 
>
>> From c32d30001676d80bc9c80ece3ee8c31ec9b72592 Mon Sep 17 00:00:00 2001
>> From: Pierre Langlois <[email-masked]>
>> Date: Mon, 13 Aug 2018 09:05:17 +0100
>> Subject: [PATCH] gnu: clementine: Drop dependency on qtwebkit.
>> 
>> QtWebkit is optionally included in CMakeList.txt but isn't actually used
>> anywhere in the code.
>> 
>> * gnu/packages/music.scm (clementine)[inputs]: Remove qtwebkit.
>
> Thanks!
>
> Does clementine work for you with this change? For me, it fails like
> this:
>
>
> $ clementine
> 16:58:17.043 INFO  main:315                         Clementine-qt5 1.3.1
> 16:58:17.065 WARN  Database:275                     Couldn't register FTS3 tokenizer :  QSqlError("1", "Unable to fetch row", "fts3tokenize disabled")
> 16:58:17.066 DEBUG Database:449                     Applying database schema update 13 from ":/schema/schema-13.sql"
> 16:58:17.066 ERROR Database:577                     db error:  QSqlError("1", "Unable to fetch row", "unknown tokenizer: unicode")
> 16:58:17.066 ERROR Database:578                     faulty query:  "CREATE VIRTUAL TABLE songs_fts USING fts3(\n  ftstitle, ftsalbum, ftsartist, ftsalbumartist, ftscomposer, ftsgenre, ftscomment,\n  tokenize=unicode\n)"
> 16:58:17.066 ERROR Database:579                     bound values:  QMap()
> __logging_message__16:58:17.066 ERROR unknown                          Unable to update music library database

That's strange, it works OK for me. I'm on master, which branch are you
on? IIRC this was the error I was getting when sqlite wasn't built with
FTS3 support, hence the sqlite-with-fts3 package (although I'm not sure
what it is).

Thanks,
Pierre